VersionTransformer.Names200403 (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.ws.addressing, class: VersionTransformer, class: Names200403

Package org.apache.cxf.ws.addressing

# Class VersionTransformer.Names200403

java.lang.Object
org.apache.cxf.ws.addressing.VersionTransformer.Names200403

Enclosing class:
  VersionTransformer

public static class VersionTransformer.Names200403 extends Object
Holder for 2004/03 Names

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Class<org.apache.cxf.ws.addressing.v200403.EndpointReferenceType>`
  `EPR_TYPE`
  `static final String`
  `WSA_ANONYMOUS_ADDRESS`
  `static final String`
  `WSA_NAMESPACE_NAME`
  `static final String`
  `WSA_NONE_ADDRESS`
  `static final org.apache.cxf.ws.addressing.v200403.ObjectFactory`
  `WSA_OBJECT_FACTORY`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Names200403()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static jakarta.xml.bind.JAXBContext`
  `getJAXBContext()`
  Retrieve a JAXBContext for marshalling and unmarshalling JAXB generated types for the 2004/08 version.
  `static void`
  `setJAXBContext(jakarta.xml.bind.JAXBContext ctx)`
  Set the encapsulated JAXBContext (used by unit tests).

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### WSA_NAMESPACE_NAME

    public static final String WSA_NAMESPACE_NAME
    See Also:
      - Constant Field Values

  - ### WSA_ANONYMOUS_ADDRESS

    public static final String WSA_ANONYMOUS_ADDRESS
    See Also:
      - Constant Field Values

  - ### WSA_NONE_ADDRESS

    public static final String WSA_NONE_ADDRESS
    See Also:
      - Constant Field Values

  - ### WSA_OBJECT_FACTORY

    public static final org.apache.cxf.ws.addressing.v200403.ObjectFactory WSA_OBJECT_FACTORY

  - ### EPR_TYPE

    public static final Class<org.apache.cxf.ws.addressing.v200403.EndpointReferenceType> EPR_TYPE

- ## Constructor Details

  - ### Names200403

    protected Names200403()

- ## Method Details

  - ### getJAXBContext

    public static jakarta.xml.bind.JAXBContext getJAXBContext() throws jakarta.xml.bind.JAXBException
    Retrieve a JAXBContext for marshalling and unmarshalling JAXB generated types for the 2004/08 version.
    Returns:
      a JAXBContext
    Throws:
      `jakarta.xml.bind.JAXBException`

  - ### setJAXBContext

    public static void setJAXBContext(jakarta.xml.bind.JAXBContext ctx) throws jakarta.xml.bind.JAXBException
    Set the encapsulated JAXBContext (used by unit tests).
    Parameters:
      `ctx` - JAXBContext
    Throws:
      `jakarta.xml.bind.JAXBException`